# ipc_shared_env_tag Struct Reference
[IPC]

Structure describing the IPC data shared with the host CPU. More...

`#include <ipc_shared.h>`

Collaboration diagram for ipc_shared_env_tag:
[legend]

## Data Fields
struct compatibility_tag | comp_info
| FW characteristics.
struct ipc_a2e_msg | msg_a2e_buf
| Room for MSG to be sent from App to Emb.
struct ipc_e2a_msg | msg_e2a_buf
| Room to build the Emb->App MSGs Xferred.
struct dma_desc | msg_dma_desc
| DMA descriptor for Emb->App MSGs Xfers.
volatile uint32_t | msg_e2a_hostbuf_addr [IPC_MSGE2A_BUF_CNT]
| Host buffer addresses for Emb->App MSGs DMA Xfers.
struct ipc_dbg_msg | dbg_buf
| Room to build the Emb->App DBG messages.
struct dma_desc | dbg_dma_desc
| DMA descriptor for Emb->App DBG messages Xfers.
volatile uint32_t | dbg_hostbuf_addr [IPC_DBGBUF_CNT]
| Host buffer addresses for DBG messages Xfers.
volatile uint32_t | la_dbginfo_addr
| Host buffer address for the debug dump information.
volatile uint32_t | pattern_addr
| Host buffer address for the TX payload descriptor pattern.
volatile uint32_t | radarbuf_hostbuf [IPC_RADARBUF_CNT]
| Host buffer addresses for the radar events.
volatile uint32_t | unsuprxvecbuf_hostbuf [IPC_UNSUPRXVECBUF_CNT]
| Host buffer addresses for the unsupported rx vectors.
struct txdesc_host | txdesc0 [RW_USER_MAX][NX_TXDESC_CNT0]
| Array of TX descriptors for the BK queue.
struct txdesc_host | txdesc1 [RW_USER_MAX][NX_TXDESC_CNT1]
| Array of TX descriptors for the BE queue.
struct txdesc_host | txdesc2 [RW_USER_MAX][NX_TXDESC_CNT2]
| Array of TX descriptors for the VI queue.
struct txdesc_host | txdesc3 [RW_USER_MAX][NX_TXDESC_CNT3]
| Array of TX descriptors for the VO queue.
struct txdesc_host | txdesc4 [1][NX_TXDESC_CNT4]
| Array of TX descriptors for the BC/MC queue.
struct ipc_shared_rx_desc | host_rxdesc [IPC_RXDESC_CNT]
| RX Descriptors Array.
struct ipc_shared_rx_buf | host_rxbuf [IPC_RXBUF_CNT]
| RX Buffers Array.
volatile uint32_t | buffered [NX_REMOTE_STA_MAX][TID_MAX]
| Buffered data per STA/TID in number of bytes.
volatile uint16_t | trace_pattern
| Pattern for host to check if trace is initialized.
volatile uint32_t | trace_start
| Index (in 16bits word) of the first trace within the trace buffer.
volatile uint32_t | trace_end
| Index (in 16bits word) of the last trace within the trace buffer.
volatile uint32_t | trace_size
| Size (in 16bits word) of the trace buffer.
volatile uint32_t | trace_offset
| Offset (in bytes) from here to the start of the trace buffer.
volatile uint32_t | trace_nb_compo
| Number of filterable trace components.
volatile uint32_t | trace_offset_compo
| Offset (in bytes) from here to the start of the activation table.

## Detailed Description

Structure describing the IPC data shared with the host CPU.

Definition at line 287 of file ipc_shared.h.

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/plf/refip/src/driver/ipc/ipc_shared.h